# OSGeo::FDO::Commands::LongTransaction::ILongTransactionConflictDirectiveEnumeratorImp Class Reference
[OSGeo::FDO::Commands::LongTransaction]

Inheritance diagram for OSGeo::FDO::Commands::LongTransaction::ILongTransactionConflictDirectiveEnumeratorImp:

[legend]

List of all members.

## Detailed Description

The ILongTransactionConflictDirectiveEnumeratorImp class is a concrete implementation of ILongTransactionConflictDirectiveEnumerator. The ILongTransactionConflictDirective interface is used to specify how conflict should be resolved for a particular object.

()

## Public Member Functions
__property System::Int32 | get_Count ()
| Returns the number of conflicts reported by this enumerator.
__property System::String * | get_FeatureClassName ()
| Gets the class name of the current feature in conflict.
__property OSGeo::FDO::Commands::PropertyValueCollection * | get_Identity ()
| Returns PropertyValueCollection containing the property values that uniquely identify the current feature in conflict.
__property OSGeo::FDO::Commands::LongTransaction::LongTransactionConflictResolution | get_Resolution ()
| Gets the LongTransactionConflictResolution value to use for the current feature. The default value is LongTransactionConflictResolution_Child.
System::Boolean | ReadNext ()
| Advances the enumerator to the next conflict. The default position of the enumerator is prior to the first item. Thus, you must call ReadNext to begin accessing any data. ReadNext returns true until the end of the directives is reached. After the end of the directives is passed, subsequent calls to ReadNext return false until Reset is called.
System::Void | Reset ()
| Sets the enumerator to its initial position, which is before the first conflict.
__property System::Void | set_Resolution (OSGeo::FDO::Commands::LongTransaction::LongTransactionConflictResolution value)
| Sets the LongTransactionConflictResolution value to use for the current feature. The default value is LongTransactionConflictResolution_Child.